Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface XMPPServerInfo

All Known Implementing Classes:
  XMPPServerInfoImpl

    public interface XMPPServerInfo

Information 'snapshot' of a server's state. Useful for statistics gathering and administration display.

Author:
  Iain Shigeoka

Method Summary
`String` | `getHostname()` Obtain the host name (IP address or hostname) of this server node.
`Date` | `getLastStarted()` Obtain the date when the server was last started.
`String` | `getName()` Deprecated. replaced by `getXMPPDomain()`
`Collection<ServerPort>` | `getServerPorts()` Obtain the server ports active on this server.
`Version` | `getVersion()` Obtain the server's version information.
`String` | `getXMPPDomain()` Obtain the server XMPP domain name.
`void` | `setName(String serverName)` Deprecated. replaced by `setXMPPDomain(String)`
`void` | `setXMPPDomain(String domainName)` Set the server XMPP domain name.

Method Detail

### getVersion

    Version getVersion()

  Obtain the server's version information. Typically used for iq:version and logging information.

  Returns:
    the version of the server.

### getName

    @Deprecated
    String getName()

  Deprecated. replaced by `getXMPPDomain()`

  Obtain the server name (IP address or hostname).

  Returns:
    the server's name as an IP address or host name.

### setName

    @Deprecated
    void setName(String serverName)

  Deprecated. replaced by `setXMPPDomain(String)`

  Set the server name (IP address or hostname). The server must be restarted for this change to take effect.

  Parameters:
    `serverName` - the server's name as an IP address or host name.

### getHostname

    String getHostname()

  Obtain the host name (IP address or hostname) of this server node.

  Returns:
    the server's host name as an IP address or host name.

### getXMPPDomain

    String getXMPPDomain()

  Obtain the server XMPP domain name. Note that, if unconfigured, the returned value will equal the hostname or IP address of the server.

  Returns:
    the name of the XMPP domain that this server is part of.

### setXMPPDomain

    void setXMPPDomain(String domainName)

  Set the server XMPP domain name. The server must be restarted for this change to take effect.

  Parameters:
    `domainName` - the XMPP domain that this server is part of.

### getLastStarted

    Date getLastStarted()

  Obtain the date when the server was last started.

  Returns:
    the date the server was started or null if server has not been started.

### getServerPorts

    Collection<ServerPort> getServerPorts()

  Obtain the server ports active on this server.

  Returns:
    an iterator over the server ports for this server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.